__gnu_pbds::sample_update_policy Struct Reference

## Public Member Functions

| sample_update_policy ()
| sample_update_policy (const sample_update_policy &)
void | swap (sample_update_policy &other)

## Protected Types

typedef some_metadata_type | metadata_type

## Protected Member Functions

metadata_type | operator() () const
bool | operator() (metadata_reference) const

## Detailed Description

A sample list-update policy.

Definition at line 47 of file sample_update_policy.hpp.

## Member Typedef Documentation

typedef some_metadata_type __gnu_pbds::sample_update_policy::metadata_type

protected

Metadata on which this functor operates.

Definition at line 61 of file sample_update_policy.hpp.

## Constructor & Destructor Documentation

__gnu_pbds::sample_update_policy::sample_update_policy | ( |  | ) |

Default constructor.

__gnu_pbds::sample_update_policy::sample_update_policy | ( | const sample_update_policy & |  | ) |

Copy constructor.

## Member Function Documentation

metadata_type __gnu_pbds::sample_update_policy::operator() | ( |  | ) | const

protected

Creates a metadata object.

bool __gnu_pbds::sample_update_policy::operator() | ( | metadata_reference |  | ) | const

protected

Decides whether a metadata object should be moved to the front of the list. A list-update based containers object will call this method to decide whether to move a node to the front of the list. The method shoule return true if the node should be moved to the front of the list.

void __gnu_pbds::sample_update_policy::swap | ( | sample_update_policy & | other | ) |

inline

Swaps content.

The documentation for this struct was generated from the following file:

- sample_update_policy.hpp